<?php
/**
*
* @package Board3 Portal v2 - Who was here
* @copyright (c) Board3 Group ( www.board3.de )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package Who was here
*/
class portal_who_was_here_module
{
	/**
	* Allowed columns: Just sum up your options (Exp: left + right = 10)
	* top		1
	* left		2
	* center	4
	* right		8
	* bottom	16
	*/
	public $columns = 21;

	/**
	* Default modulename
	*/
	public $name = 'PORTAL_WHO_WAS_HERE';

	/**
	* Default module-image:
	* file must be in "{T_THEME_PATH}/images/portal/"
	*/
	public $image_src = '';

	/**
	* module-language file
	* file must be in "language/{$user->lang}/mods/portal/"
	*/
	public $language = 'portal_who_was_here_module';
	
	/**
	* custom acp template
	* file must be in "adm/style/portal/"
	*/
	public $custom_acp_tpl = '';
	
	/**
	* hide module name in ACP configuration page
	*/
	public $hide_name = false;

	public function get_template_center($module_id)
	{
		global $config, $template, $phpbb_root_path, $phpEx;
		
		if (!class_exists('phpbb_mods_who_was_here'))
		{
			include($phpbb_root_path . 'includes/mods/who_was_here.' . $phpEx);
			phpbb_mods_who_was_here::update_session();
		}
		phpbb_mods_who_was_here::display();

		return 'who_was_here_center.html';
	}

	public function get_template_side($module_id)
	{
		global $config, $template, $phpbb_root_path, $phpEx;

		if (!class_exists('phpbb_mods_who_was_here'))
		{
			include($phpbb_root_path . 'includes/mods/who_was_here.' . $phpEx);
			phpbb_mods_who_was_here::update_session();
		}
		phpbb_mods_who_was_here::display();

		return 'who_was_here_center.html';
	}

	public function get_template_acp($module_id)
	{
		return array(
			'title'	=> 'PORTAL_WHO_WAS_HERE',
			'vars'	=> array(),
		);
	}

	/**
	* API functions
	*/
	public function install($module_id)
	{
		return true;
	}

	public function uninstall($module_id)
	{
		return true;
	}
}